﻿Public Class index
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'エラーメッセージを初期化する
        Me.lblError.Text = String.Empty
    End Sub

    Protected Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        '色名をViewStateに保存する
        If Me.txtColor.Text.Length = 0 Then
            Me.lblError.Text = "色を入力してください。"
            Me.txtColor.Focus()
        Else
            Me.ViewState("color") = Me.txtColor.Text
        End If
    End Sub

    Protected Sub btnExcecute_Click(sender As Object, e As EventArgs) Handles btnExcecute.Click
        'ビューステートが保存してあれば、その色をTextBoxコントロールに表示する
        If Me.ViewState("color") <> Nothing Then
            Me.txtColor.BackColor = System.Drawing.Color.FromName(Me.ViewState("color").ToString())
        Else
            Me.lblError.Text = "色を保存してください。"
        End If
    End Sub
End Class